package com.engine.salary.service.impl;

import com.engine.core.impl.Service;
import com.engine.salary.biz.SalarySobEmpFieldBiz;
import com.engine.salary.entity.salarysob.po.SalarySobEmpFieldPO;
import com.engine.salary.service.SalarySobEmpFieldService;

import java.util.Collection;
import java.util.List;

/**
 * 薪资账套的员工信息字段
 * <p>Copyright: Copyright (c) 2022</p>
 * <p>Company: 泛微软件</p>
 *
 * @author qiantao
 * @version 1.0
 **/
public class SalarySobEmpFieldServiceImpl extends Service implements SalarySobEmpFieldService {

    private SalarySobEmpFieldBiz salarySobEmpFieldMapper  = new SalarySobEmpFieldBiz();

    @Override
    public List<SalarySobEmpFieldPO> listBySalarySobId(Long salarySobId) {
        return salarySobEmpFieldMapper.listSome(SalarySobEmpFieldPO.builder().salarySobId(salarySobId).build());
    }

    @Override
    public void batchSave(Collection<SalarySobEmpFieldPO> salarySobEmpFieldPOS) {
        salarySobEmpFieldMapper.batchInsert(salarySobEmpFieldPOS);
    }

    @Override
    public void deleteBySalarySobIds(Collection<Long> salarySobIds) {
        salarySobEmpFieldMapper.deleteBySalarySobIds(salarySobIds);
    }

    @Override
    public void deleteByIds(Collection<Long> ids) {
        salarySobEmpFieldMapper.deleteByIds(ids);
    }
}
